aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNadia Holmquist Pedersen <nadia@nhp.sh>2019-05-01 06:05:48 +0200
committerNadia Holmquist Pedersen <nadia@nhp.sh>2019-05-01 06:05:48 +0200
commit00ad620b8f62d4df93c541b8e7d8537e967fb523 (patch)
tree4950c20bd66de0ef3dac2c609e41e96f7040ccfc
parent9c9b2e79cec43696edc52a8f2b1740db2da80207 (diff)
Add a script to easily grab the needed libraries when building with MSYS2
-rwxr-xr-xmsys-dist.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/msys-dist.sh b/msys-dist.sh
new file mode 100755
index 0000000..f2e5941
--- /dev/null
+++ b/msys-dist.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+if [[ ! -x melonDS.exe ]]; then
+ echo "Run this script from the directory you built melonDS."
+ exit 1
+fi
+
+mkdir -p dist
+
+for lib in $(ldd melonDS.exe | grep mingw | sed "s/.*=> //" | sed "s/(.*)//"); do
+ cp "${lib}" dist
+done
+
+cp melonDS.exe romlist.bin dist